The following list of components will show you if your computer is compatible with our Online Video Chat service.
Windows Operating Systemcompatible
Internet Explorer 7 or Greatercompatible
Firefox 3.2 or Greater
.NET Framework 3.5 SP1compatible
Adobe Flash Player 9 or Greatercompatible

Please install the following prerequisites:
  .NET Framework 3.5 SP1
Please download and install the Microsoft .NET Framework 3.5 SP1 Client Profile. The following URL will take you to the Microsoft site to begin the installation.
.NET 3.5 SP1
  Adobe Flash 9
Please download and install Adobe Flash 9. The following URL will take you to the Adobe site, click download under Windows Flash Player 9 to begin the installation.
Adobe Flash Player 9